<?php

declare(strict_types = 1);

namespace Drupal\entity_visibility_preview\Service;

use Symfony\Component\HttpFoundation\Session\SessionInterface;

/**
 * Class SessionManager.
 *
 * @package Drupal\entity_visibility_preview
 */
class SessionManager implements SessionManagerInterface {

  /**
   * The session.
   *
   * @var \Symfony\Component\HttpFoundation\Session\SessionInterface
   */
  protected $session;

  /**
   * SessionManager service.
   *
   * @param \Symfony\Component\HttpFoundation\Session\SessionInterface $session
   *   The session.
   */
  public function __construct(SessionInterface $session) {
    $this->session = $session;
  }

  /**
   * {@inheritdoc}
   */
  public function getFromSession(string $parameter) {
    if (!empty($this->session)) {
      return $this->session->get($parameter, NULL);
    }

    return NULL;
  }

  /**
   * {@inheritdoc}
   */
  public function setFromSession(string $parameter, $value) {
    if (!empty($this->session)) {
      $this->session->set($parameter, $value);
    }
  }

  /**
   * {@inheritdoc}
   */
  public function deleteFromSession(string $parameter) : void {
    if (!empty($this->session)) {
      $this->session->remove($parameter);
    }
  }

}
