<?php

declare(strict_types = 1);

namespace Drupal\entity_visibility_preview\Service;

/**
 * SessionManager interface.
 */
interface SessionManagerInterface {

  /**
   * Get from the actual session the parameter.
   *
   * @param string $parameter
   *   The name of the session parameter to get.
   *
   * @return mixed
   *   The parameter value.
   */
  public function getFromSession(string $parameter);

  /**
   * Set the parameter to the given value.
   *
   * @param string $parameter
   *   The name of the session parameter to set.
   * @param mixed $value
   *   The value to set for the given parameter.
   */
  public function setFromSession(string $parameter, $value);

  /**
   * Delete the value of given parameter in the session.
   *
   * @param string $parameter
   *   The name of the session parameter to remove.
   */
  public function deleteFromSession(string $parameter) : void;

}
